<?php

namespace KupShop\KupShopBundle\Email;

interface UserMessagesInterface
{
    public function getMessages($languageID = null): array;

    public function setUserMessage(string $message): void;

    public function getMessagesByStatus($status, $languageID = null): array;

    public function getObjectId(): ?int;
}
